shishi_kdc_check_nonce(3)

NAME
shishi_kdc_check_nonce - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdc_check_nonce(Shishi * handle, Shishi_asn1 kdcreq, Shishi_asn1 enckdcreppart);

ARGUMENTS

Shishi * handle
    Shishi handle as allocated by shishi_init().

Shishi_asn1 kdcreq
    Request of type KDC-REQ.

Shishi_asn1 enckdcreppart
    Encrypted KDC-REP part.

DESCRIPTION
Verifies that kdcreq.req-body.nonce and enckdcreppart.nonce contain matching values. This is one of the steps that has to be performed when processing an exchange of KDC-REQ and KDC-REP.

RETURN VALUE
Returns SHISHI_OK if successful, SHISHI_NONCE_MISMATCH whenever the nonces are of differing lengths (usually a sign that a buggy server truncates the nonce to 4 bytes) and the same code if the nonce values differ, or an error code otherwise.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.